ltrace (0.7.3+git20240814-0.3) unstable; urgency=medium

  * Non-maintainer upload.

  [ Bo YU ]
  * Fix ftbfs on riscv64. (Closes: #1078799)

  [ wuruilong ]
  * Fix ftbfs on loong64. (Closes: #1082965)

 -- Chris Hofstaedtler <zeha@debian.org>  Fri, 01 Nov 2024 23:32:48 +0100

ltrace (0.7.3+git20240814-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Upload to unstable. Closes: #1019505
    * New release, Closes: #958369, #927149, #606026, #553189
    * Enable build for arm64, mips64el, loong64, ppc64el, riscv64
      Closes: #1042390, #871574, #744752, #1050320, #1027385

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 14 Aug 2024 23:38:24 +0200

ltrace (0.7.3+git20240814-0.1) experimental; urgency=medium

  * Non-maintainer upload.
  * New upstream git snapshot from commit
    8eabf684ba6b11ae7a1a843aca3c0657c6329d73.
    Closes: #958369, #927149, #606026, #553189
  * Remove all Debian patches.
  * Set Homepage: https://www.ltrace.org (Closes: #1019505)
  * Enable build for arm64, loong64, mips64el, ppc64el, riscv64
    Closes: #1042390, #871574, #744752, #1050320, #1027385

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 14 Aug 2024 19:54:00 +0200

ltrace (0.7.3-6.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Stop building for MIPS, ltrace no longer works there.
    (Closes: #1023436)

 -- Adrian Bunk <bunk@debian.org>  Sat, 25 Feb 2023 20:40:34 +0200

ltrace (0.7.3-6.3) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/rules: disabled use of -Werror to avoid a FTBFS in mipsel, alpha and
    ia64 when using DH level 13. Thanks to Paul Gevers <elbrus@debian.org>.
    (Closes: #1010493)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 02 May 2022 20:51:56 -0300

ltrace (0.7.3-6.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 13.
      - Closes: #965705
  * Dropped CDBS in favor of the debhelper to allow the build system to use
    DH level greater than 11. Consequently:
      - debian/control: removed no longer needed cdbs and autotools-dev from
        Build-Depends field.
      - debian/rules: changed from CDBS to DH.

 -- Guilherme de Paula Xavier Segundo <guilherme.lnx@gmail.com>  Wed, 30 Mar 2022 20:48:13 -0300

ltrace (0.7.3-6.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Stop building non-working armel and armhf packages.
    (Closes: #678453, #898113)

 -- Adrian Bunk <bunk@debian.org>  Mon, 20 Aug 2018 09:09:32 +0300

ltrace (0.7.3-6) unstable; urgency=medium

  * Fixed compilation error in amd64: readdir_r is deprecated (closes: #837011)

 -- Juan Cespedes <cespedes@debian.org>  Wed, 21 Sep 2016 13:15:35 +0200

ltrace (0.7.3-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control:
    - Build-depends against libelf-dev instead of libelfg0-dev, the later
      doesn't seem to be maintained anymore. (Closes: #769426)
    - Add autotools-dev to the build-dependencies so cdbs can update the
      config.{guess,sub} files

 -- Laurent Bigonville <bigon@debian.org>  Mon, 02 Nov 2015 11:05:51 +0100

ltrace (0.7.3-5) unstable; urgency=low

  * Fix build with GCC 5 (closes: #777991)

 -- Juan Cespedes <cespedes@debian.org>  Fri, 03 Jul 2015 17:16:04 +0200

ltrace (0.7.3-4) unstable; urgency=low

  * Get rid of dh_autoreconf (not needed)
  * Added "mips" and "mipsel" architectures
  * Continue after unexpected breakpoint (closes: #649569)

 -- Juan Cespedes <cespedes@debian.org>  Fri, 03 Jan 2014 13:56:53 +0100

ltrace (0.7.3-3) unstable; urgency=low

  * Really add support for armhf
  * Fix new compilation error on sparc

 -- Juan Cespedes <cespedes@debian.org>  Fri, 03 Jan 2014 10:07:03 +0100

ltrace (0.7.3-2) unstable; urgency=low

  * Build without libunwind to avoid problems in transition
  * Added support for powerpcspe (closes: #692486)
  * Added support for armhf
  * Fix compilation on sparc

 -- Juan Cespedes <cespedes@debian.org>  Thu, 02 Jan 2014 23:06:26 +0100

ltrace (0.7.3-1) unstable; urgency=low

  * New upstream release (closes: #675607), including:
    + support dlopen()'d libraries (closes: #537781)
    + support PIE binaries (closes: #614018)
    + fix -T option (closes: #548400)
    + use $HOST_CPU instead of $(uname -m) (closes: #457696)
    + don't hardcode gcc or assume -liberty and -lsupc++ exist (closes: #593639)
    + support threaded programs (closes: #282068, #591412)
  * Fix "free(): invalid pointer" crash (closes: #724253)
  * Fix FTBFS on alpha (closes: #678721)
  # Added "s390x" to the list of supported archs (closes: #645615)
  * Fixed dpkg-shlibdeps warning: don't link against
    libstdc++ or libsupc++ if we have libiberty
  * Switch to 3.0 (quilt) source format
  * Standards-Version: 3.9.5
  * Lintian clean

 -- Juan Cespedes <cespedes@debian.org>  Thu, 02 Jan 2014 18:00:05 +0100

ltrace (0.5.3-2.2) unstable; urgency=medium

  * Non-maintainer upload
  * Build-depend on libiberty-dev instead of binutils-dev (Closes: #730933)

 -- David Prévot <taffit@debian.org>  Sat, 21 Dec 2013 19:21:35 -0400

ltrace (0.5.3-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add missing includes in sysdeps/linux-gnu/ppc/plt.c to fix FTBFS on
    powerpc (closes: #574114). Thanks to Javi Merino for the bug report.

 -- Jakub Wilk <jwilk@debian.org>  Sun, 02 May 2010 10:27:16 +0200

ltrace (0.5.3-2) unstable; urgency=low

  * Fixed compilation problems in armel, ia64 and powerpc (closes: Bug#538441)

 -- Juan Cespedes <cespedes@debian.org>  Sun, 26 Jul 2009 13:24:44 +0200

ltrace (0.5.3-1) unstable; urgency=low

  * New upstream release
  * Make it work again in sparc with new kernel headers (closes: Bug#532195)

 -- Juan Cespedes <cespedes@debian.org>  Sat, 25 Jul 2009 16:24:38 +0200

ltrace (0.5.2-2) unstable; urgency=low

  * Make clone() work when child starts after parent finishes
  * See syscalls as syscalls and not sysrets when we are a clone

 -- Juan Cespedes <cespedes@debian.org>  Thu, 28 May 2009 16:30:08 +0200

ltrace (0.5.2-1) unstable; urgency=low

  * New upstream release                                   (closes: Bug#463023)
  * New approach for following forks; it should now attach
    every newly created process                            (closes: Bug#483827)
  * Fixed SEGFAULT when killing ltrace with SIGINT or SIGTERM (closes: #458923)

 -- Juan Cespedes <cespedes@debian.org>  Thu, 21 May 2009 19:16:22 +0200

ltrace (0.5.1-2) unstable; urgency=low

  * Red-added armel and armeb to debian/control (closes: Bug#463023)

 -- Juan Cespedes <cespedes@debian.org>  Tue, 16 Dec 2008 13:00:50 +0100

ltrace (0.5.1-1) unstable; urgency=low

  * New upstream release, fixing many bugs
    (thanks to Petr Machata, Luis Machado...)
  * Acknowledged NMU (Closes: Bug#463023)
  * Update Standards-Version (3.8.0), no changes

 -- Juan Cespedes <cespedes@debian.org>  Wed, 10 Dec 2008 18:41:20 +0100

ltrace (0.5-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Big thanks for Anderson Lizardo for providing patches!
  * Add generic support for arm targets, Closes: #176413
  * Save funtion arguments on arm, Closes: #462530
  * Add thumb instruction support, Closes: #462531
  * Add basic arm/eabi support, Closes: #450931
  * fix exec() testcase cleanup, Closes: #462532
  * fix memory corruption in clone() test, Closes: #462533
  * fix tracing child with "-p" option, Closes: #462535
  * Update standard, no changes

 -- Riku Voipio <riku.voipio@iki.fi>  Tue, 29 Jan 2008 00:26:50 +0200

ltrace (0.5-3) unstable; urgency=low

  * Really fix compilation problems in ppc (!)

 -- Juan Cespedes <cespedes@debian.org>  Fri, 31 Aug 2007 19:04:03 +0200

ltrace (0.5-2) unstable; urgency=low

  * Fixed compilation issue in ppc

 -- Juan Cespedes <cespedes@debian.org>  Fri, 31 Aug 2007 13:53:27 +0200

ltrace (0.5-1) unstable; urgency=low

  * New upstream version
  * Remove some unneeded files in /usr/share/doc (ChangeLog, COPYING...)
  * Fix several typos (closes: Bug#372928)
  * Added more system calls to ltrace.conf

 -- Juan Cespedes <cespedes@debian.org>  Thu, 30 Aug 2007 14:54:44 +0200

ltrace (0.4-2) unstable; urgency=low

  * Use fclose() to close the output file when using option '-o'
    (thanks to GuiJianfeng <jianfenggui@gmail.com>)

 -- Juan Cespedes <cespedes@debian.org>  Tue, 07 Aug 2007 11:49:27 +0200

ltrace (0.4-1) unstable; urgency=low

  * Rebase code from Redhat patches, now everything lives in SVN
  * Closes: #297483,#315889,#318009 -- add PowerPC64 support
  * Add s390x, ppc64 support
  * This removes the patch from #257903 as it seems unnecessary now.

 -- Ian Wienand <ianw@ieee.org>  Tue, 21 Feb 2006 09:23:09 +1100

ltrace (0.3.38-1) unstable; urgency=low

  * Closes: 306862 -- Add IA64 support

 -- Ian Wienand <ianw@ieee.org>  Fri, 17 Feb 2006 11:17:46 +1100

ltrace (0.3.37-2) unstable; urgency=low

  * Convert to use CDBS
  * Use CDBS to build control; you need to run
  DEB_AUTO_UPDATE_DEBIAN_CONROL=yes ./debian/rules clean
  to make the control file if you checkout from CVS
  * Remove autoconf from build-deps, fix up upstream dist target so we don't
    need it.

 -- Ian Wienand <ianw@ieee.org>  Thu, 16 Feb 2006 22:56:14 +1100

ltrace (0.3.37-1) unstable; urgency=low

  [ Ian Wienand ]
  * Non-maintainer upload
  * Start a "friendly takeover" from Juan
  * Closes: #127503,#280608 -- update man page typos
  * Closes: #339348 -- fix putenv typo in ltrace.conf
  * Closes: #257903 -- incorporate variable length args patch
  * Closes: #282051 -- demange names when -c used with -C
  * Closes: #352389 -- pass build flags through to Makefile
  * Closes: #155571 -- add note in man page about dlopened libraries
  * See "upstream" ChangeLog for other changes (mostly warning fixes)
  * Update README to point to Alioth home: http://ltrace.alioth.debian.org

  [ Christoph Berg ]
  * Create non-native package.
  * Add autoconf to build-deps
  
 -- Ian Wienand <ianw@ieee.org>  Thu, 16 Feb 2006 11:51:32 +1100

ltrace (0.3.36-2) unstable; urgency=low

  * Corrected path for Debian changelog

 -- Juan Cespedes <cespedes@debian.org>  Wed, 10 Nov 2004 00:33:21 +0100

ltrace (0.3.36-1) unstable; urgency=low

  * Changed distribution to pristine source
  * New Standards-Version (3.6.1)
  * Fixed "--indent" option (closes: Bug#265185)

 -- Juan Cespedes <cespedes@debian.org>  Wed, 10 Nov 2004 00:14:19 +0100

ltrace (0.3.35.1) unstable; urgency=low

  * Non-maintainer upload
  * Applied patch from Jakub Jelinek <jakub@redhat.com> to fix problems with
    binaries built with recent binutils (closes: #274955)
  * Applied patch from Jakub Jelinek to add long/ulong types to ltrace.conf
    for amd64
  * Applied patch from Jakub Jelinek to fix -C
  * Applied patch from Jakub Jelinek to update syscallent.h
  * debian/control: build-depend on dpatch and libelfg0-dev
  * debian/rules: add dpatch support
  * debian/changelog: convert to utf-8

 -- Andrew Pollock <apollock@debian.org>  Fri, 22 Oct 2004 21:43:16 +1000

ltrace (0.3.35) unstable; urgency=low

  * Fixed include line in m68k, caused build problems

 -- Juan Cespedes <cespedes@debian.org>  Fri, 16 Jul 2004 18:00:10 +0200

ltrace (0.3.34) unstable; urgency=low

  * Fixed prototype declaration problem in arm, m68k, powerpc, s390
  * Added "amd64" to list of architectures        (closes: Bug#252756)
  * Sparc port is hopefully working               (closes: Bug#35524)

 -- Juan Cespedes <cespedes@debian.org>  Wed, 07 Jul 2004 10:40:56 +0200

ltrace (0.3.33) unstable; urgency=low

  * Fixed two bugs, thanks to Mauro Meneghin <G1ld0@lycos.it>:
    + Cope correctly with breakpoint values greater than
      sizeof(long) bytes
    + Fixed small bug in option -r                (closes: Bug#212792)
  * Show help if no (or few) arguments are given, just like
    strace and fenris (thanks, Tomasz Wegrzanowski <taw@users.sf.net>)
  * Some fixes from Jakub Bogusz <qboosh@pld-linux.org>:
    + Small 64-bit cleanup of code
    + support for more than 6 function arguments on amd64
    + Adapted SPARC port from Jakub Jelinek <jakub@redhat.com>
    + Added alpha support
  
 -- Juan Cespedes <cespedes@debian.org>  Mon, 14 Jun 2004 18:01:12 +0200
 
ltrace (0.3.32) unstable; urgency=low

  * Fixed wrong version number
  * Removed unused file "opt_c.c"
  * Remove error when tracing no calls and doing fork()
  * Clean-up of sysdeps/linux-gnu/s390/trace.c
  * Clean-up of sysdeps/linux-gnu/ppc/trace.c
  * Make `--library' option really work           (closes: Bug#232321)
  * Merged several patches from SuSE:
    + Added some functions to ltrace.conf 
    + Handle 64-big ELF files nicely
    + AMD64 support
    + Updated list of syscalls for S/390
    + Improved some debugging statements
    Many thanks to Bernhard Kaindl <bk@suse.de> for his great work

 -- Juan Cespedes <cespedes@debian.org>  Sun, 04 Apr 2004 01:31:37 +0200

ltrace (0.3.31) unstable; urgency=low

  * Added a lot of functions to ltrace.conf,
    thanks to Jakub Jelinek <jakub@redhat.com>    (closes: Bug#144518)
  * Fixed off-by-one problem in checking syscall number
  * Removed some warnings

 -- Juan Cespedes <cespedes@debian.org>  Tue, 04 Feb 2003 23:22:46 +0100

ltrace (0.3.30) unstable; urgency=low

  * Implemented -T option (show time spent inside each call)
  * Alphabetically sort options in help and manual page
  * Added -c option (summary of calls on program exit)

 -- Juan Cespedes <cespedes@debian.org>  Mon, 03 Feb 2003 00:22:28 +0100

ltrace (0.3.29) unstable; urgency=low

  * Align return values depending on screen width
  * Updated list of syscalls and signals to Linux 2.4.20
  * Fixed bug introduced in 0.3.27 which caused -L option to segfault

 -- Juan Cespedes <cespedes@debian.org>  Sat, 01 Feb 2003 19:01:39 +0100

ltrace (0.3.28) unstable; urgency=medium

  * Fixed memory corruption when using execve() in a traced program
                                      (closes: Bug#160341, Bug#165626)

 -- Juan Cespedes <cespedes@debian.org>  Fri, 31 Jan 2003 19:51:28 +0100

ltrace (0.3.27) unstable; urgency=low

  * Removed dependency on libdl (it is no longer needed)
  * Wrote generic dictionary, used in demangle.c and breakpoints.c
  * Added debug.c for better debugging output

 -- Juan Cespedes <cespedes@debian.org>  Fri, 31 Jan 2003 18:58:55 +0100

ltrace (0.3.26) unstable; urgency=low

  * Fixed `ltrace -L' in powerpc

 -- Juan Cespedes <cespedes@debian.org>  Sun, 31 Mar 2002 20:53:49 +0200

ltrace (0.3.25) unstable; urgency=low

  * Finally added powerpc support (Anton Blanchard <anton@samba.org>)

 -- Juan Cespedes <cespedes@debian.org>  Sun, 31 Mar 2002 19:58:25 +0200

ltrace (0.3.24) unstable; urgency=low

  * Fixed 2 minor buffer overflows (closes: Bug#130746)
  * Obey --prefix, --sysconfdir, --mandir options in configure
  * Adding powerpc support (doesn't work yet)
    (Anton Blanchard <anton@samba.org>)

 -- Juan Cespedes <cespedes@debian.org>  Wed, 27 Mar 2002 00:20:57 +0100

ltrace (0.3.23) unstable; urgency=low

  * Fixed missing include <unistd.h> in trace.c
  * One arch-dependent function less (continue_after_breakpoint)
  * Fixed S/390 port (it didn't compile yet...)

 -- Juan Cespedes <cespedes@debian.org>  Sun,  3 Mar 2002 18:58:36 +0100

ltrace (0.3.22) unstable; urgency=low

  * S/390: Removed extra target in sysdeps/linux-gnu/s390 which avoided
    compiling...

 -- Juan Cespedes <cespedes@debian.org>  Sun,  3 Mar 2002 14:04:38 +0100

ltrace (0.3.21) unstable; urgency=low

  * Get rid of arch/breakpoint.c; we can do it arch-independent

 -- Juan Cespedes <cespedes@debian.org>  Sun,  3 Mar 2002 02:37:46 +0100

ltrace (0.3.20) unstable; urgency=low

  * Added s390 port (Timothy R. Fesig <slate@us.ibm.com>)
  * Modified configure process to use ltrace.spec.in to generate
    ltrace.spec (Timothy R. Fesig <slate@us.ibm.com>)
  * Fixed some problems using ltrace.spec on Intel platform.
                (Timothy R. Fesig <slate@us.ibm.com>)

 -- Juan Cespedes <cespedes@debian.org>  Sat,  2 Mar 2002 23:33:00 +0100

ltrace (0.3.19) unstable; urgency=low

  * Fixed small bug: "<unifinished...>" lines were sometimes incorrectly
    displayed
  * Added new functions to /etc/ltrace.conf (thanks to James R. Van Zandt
    <jrv@vanzandt.mv.com>)                          (closes: Bug#91349)

 -- Juan Cespedes <cespedes@debian.org>  Fri,  1 Mar 2002 21:05:37 +0100

ltrace (0.3.18) unstable; urgency=low

  * Simplified arch-dependent stuff
  * Updated list of syscalls and signals to Linux 2.4.18
  * Unified coding-style of all function declarations
  * Do not indent lines indicating signals, exit codes, etc
  * Updated description
  * fix off-by-one problem in checking syscall number (Tim Waugh
    <twaugh@redhat.com> fixed this problem in RedHat two years ago;
    thank you for NOT noticing me...)

 -- Juan Cespedes <cespedes@debian.org>  Fri,  1 Mar 2002 19:52:43 +0100

ltrace (0.3.17) unstable; urgency=low

  * Added a bit more debugging
  * Fixed display of return address in nested functions
  * Added posibility to exit from a function different from the last called
    one (this fixes "ltrace gnome-terminal", for example)

 -- Juan Cespedes <cespedes@debian.org>  Mon, 25 Feb 2002 00:19:19 +0100

ltrace (0.3.16) unstable; urgency=low

  * ltrace works again after an execve is received (closes: Bug#108835)
  * Added prototypes for fnmatch() and bsearch()   (closes: Bug#106862)
  * Re-wrote short description so it does not exceed 60 chars
                                                   (closes: Bug#114682)

 -- Juan Cespedes <cespedes@debian.org>  Mon, 10 Dec 2001 04:11:26 +0100

ltrace (0.3.15) unstable; urgency=low

  * Fixed `-n' option so that it displays correct output even when
    tracing several processes

 -- Juan Cespedes <cespedes@debian.org>  Mon,  9 Jul 2001 01:02:46 +0200

ltrace (0.3.14) unstable; urgency=low

  * Assume a syscall is always immediatly followed by a sysret
    in i386 (fixes bug which prevented ltrace to work properly
    in any program using signals); I will have to rethink all
    this and fix it correctly or port it to non-i386 archs
  * Fixed -n option: now it is done in output.c (this still has
    problems when tracing more than one process at a time)

 -- Juan Cespedes <cespedes@debian.org>  Sat,  7 Jul 2001 20:56:42 +0200

ltrace (0.3.13) unstable; urgency=low

  * Fixed "ltrace -i", broken since version 0.3.11

 -- Juan Cespedes <cespedes@debian.org>  Tue,  3 Jul 2001 18:36:15 +0200

ltrace (0.3.12) unstable; urgency=low

  * Re-wrote of "elf.c" (Silvio Cesare <silvio@big.net.au>)
  * Added "--library" option (Silvio)
  * Updated list of syscalls and signals to Linux 2.4.5
  * Compile cleanly with gcc-3.0 (thanks to Frédéric L. W. Meunier)
 
 -- Juan Cespedes <cespedes@debian.org>  Tue,  3 Jul 2001 00:43:25 +0200

ltrace (0.3.11) unstable; urgency=low

  * Clean up lintian bugs
  * Fixed small bug reading start of arguments in config file
  * Keep a stack of nested calls (Morten Eriksen, 1999-07-04)
  * Add "--indent" option (Morten Eriksen, 1999-07-04)
  * cleans up connection between a breakpoint address and
    a call instance (Morten Eriksen, 1999-07-04)
  * New Standards-Version (3.5.5)

 -- Juan Cespedes <cespedes@debian.org>  Mon,  2 Jul 2001 00:24:11 +0200

ltrace (0.3.10) unstable; urgency=low

  * Added C++ demangle (again)
  * Added correct Build-Depends

 -- Juan Cespedes <cespedes@debian.org>  Thu, 23 Dec 1999 00:22:33 +0100

ltrace (0.3.9) unstable; urgency=low

  * New Standards-Version (3.1.1)
  * Fixed Lintian bugs

 -- Juan Cespedes <cespedes@debian.org>  Sun, 19 Dec 1999 17:49:40 +0100

ltrace (0.3.8) unstable; urgency=low

  * glibc-2.1 does no longer need `_GNU_SOURCE' defined to use <getopt.h>
  * Changed description of package; adopted Red Hat's one
    (thanks to whoever wrote it)
  * Close all the file descriptors used before executing program (close-on-exec)
  * Updated copyright file for new location /usr/share/common-licenses/GPL.
  * Used GNU autoconf instead of "uname" to guess host system type
  * Install man page in /usr/share/man instead of /usr/man
  * Added a few functions to /etc/ltrace.conf
  * Updated list of syscalls and signals to linux-2.2.12
  * Fixed bugs in C++ demangle (Morten Eriksen <mortene@sim.no>)
  * New Standards-Version: 3.0.1 (but keeping docs in /usr/doc)

 -- Juan Cespedes <cespedes@debian.org>  Mon, 30 Aug 1999 19:34:47 +0200

ltrace (0.3.7) unstable; urgency=low

  * Minor fixes
  * Added minor patch from Alex Buell <alex.buell@tahallah.demon.co.uk>
    to be able to compile under glibc 2.1
  * Additions to config file from David Dyck <dcd@tc.fluke.com>
  * Clean-up Makefile a bit
  * Changed `LT_PT_*' with `ARGTYPE_*'
  * Display '\\' instead of '\'
  * Updated list of syscalls and signals to linux-2.2.5
  * Compiled against glibc-2.1

 -- Juan Cespedes <cespedes@debian.org>  Sat,  3 Apr 1999 03:21:50 +0200

ltrace (0.3.6) unstable; urgency=low

  * Added m68k port (Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>) (Bug#27075)
  * Changed "int pid" with "pid_t pid" everywhere
  * Fixed return type of some functions from "int" to "void *" (thanks, Roman)

 -- Juan Cespedes <cespedes@debian.org>  Fri, 25 Sep 1998 14:48:37 +0200

ltrace (0.3.5) unstable; urgency=low

  * Added ARMLinux port (Pat Beirne <pbeirne@home.com>) (Bug#27040)
  * Fixed minor things in options.c

 -- Juan Cespedes <cespedes@debian.org>  Thu, 24 Sep 1998 13:18:01 +0200

ltrace (0.3.4) unstable; urgency=low

  * Added "ltrace.spec" to build a .rpm binary file.
  * Added "-r" option

 -- Juan Cespedes <cespedes@debian.org>  Sun, 20 Sep 1998 21:22:05 +0200

ltrace (0.3.3) unstable; urgency=low

  * Fixed a little bug in display_string
  * A few more functions added to /etc/ltrace.conf

 -- Juan Cespedes <cespedes@debian.org>  Sun,  6 Sep 1998 14:03:10 +0200

ltrace (0.3.2) unstable; urgency=low

  * Make the output line-buffered (Bug#22874)
  * New Standards-Version (2.4.1)
  * Make it compile cleanly with glibc 2.0.7

 -- Juan Cespedes <cespedes@debian.org>  Tue, 14 Jul 1998 13:45:24 +0200

ltrace (0.3.1) frozen unstable; urgency=low

  * setgid programs had their uid and gid swapped!  Fixed.

 -- Juan Cespedes <cespedes@debian.org>  Wed, 29 Apr 1998 19:25:11 +0200

ltrace (0.3.0) unstable; urgency=low

  * Preliminary autoconf support
  * Switched to getopt()
  * New option: -C (demangle C++ names)
  * New options: --help, --version
  * Display "format" (printf-like) argument types
  * Updated manual page
  * New option: -e

 -- Juan Cespedes <cespedes@debian.org>  Sat, 25 Apr 1998 14:21:59 +0200

ltrace (0.2.9) frozen unstable; urgency=low

  * Bug#20616 wasn't completely fixed; it didn't work with some programs (Fixed)
  * Stopping ltrace with ^C DIDN'T WORK if -p option is not used!! (Fixed)
  * Option -f caused program to segfault; fixed
  * Fixed nasty bug about executing set[ug]id binaries:
    When executing a program fails, don't left the program STOPPED.
  * Make ltrace work with all setuid and setgid binaries when invoked as root

 -- Juan Cespedes <cespedes@debian.org>  Sat, 11 Apr 1998 22:50:38 +0200

ltrace (0.2.8) frozen unstable; urgency=low

  * Fix important bug regarding -p: disable all breakpoints on exit (Bug#20616)
  * Compile cleanly on libc5
  * Added `-t' option (Bug#20615)

 -- Juan Cespedes <cespedes@debian.org>  Sat,  4 Apr 1998 08:34:03 +0200

ltrace (0.2.7) unstable; urgency=low

  * Some minor fixes

 -- Juan Cespedes <cespedes@debian.org>  Sun, 15 Mar 1998 14:01:40 +0100

ltrace (0.2.6) unstable; urgency=low

  * Option `-f' now works (but it fails to attach some processes...)
  * Output is now more similar to strace's

 -- Juan Cespedes <cespedes@debian.org>  Sat, 14 Mar 1998 20:50:16 +0100

ltrace (0.2.5) unstable; urgency=low

  * After a successful execve(), library calls are now logged
  * Enhanced displaying of non-printable chars
  * Added some functions to /etc/ltrace.conf

 -- Juan Cespedes <cespedes@debian.org>  Fri, 13 Mar 1998 19:16:47 +0100

ltrace (0.2.4) unstable; urgency=low

  * Option `-p' now works (but programs fail when ltrace is interrupted)

 -- Juan Cespedes <cespedes@debian.org>  Fri, 13 Mar 1998 00:29:10 +0100

ltrace (0.2.3) unstable; urgency=low

  * Don't display `...' in strings when limit of bytes is reached
  * Added some functions to /etc/ltrace.conf

 -- Juan Cespedes <cespedes@debian.org>  Wed, 11 Mar 1998 23:33:14 +0100

ltrace (0.2.2) unstable; urgency=low

  * After a successful execve(), syscalls are now logged correctly

 -- Juan Cespedes <cespedes@debian.org>  Wed, 11 Mar 1998 00:02:35 +0100

ltrace (0.2.1) unstable; urgency=low

  * Added -u option (run command as other username)
  * Updated manual page a bit

 -- Juan Cespedes <cespedes@debian.org>  Tue, 10 Mar 1998 00:08:38 +0100

ltrace (0.2.0) unstable; urgency=low

  * First `unstable' release
  * Complete re-structured all the code to be able to add support for
    different architectures (but only i386 arch is supported in this
    version)
  * Log also return values
  * Log arguments (and return values) for syscalls
  * Added preliminary support for various simultaneous processes
  * getopt-like options
  * New option: -a (alignment column)
  * New option: -L (don't display library calls)
  * New option: -s (maximum # of chars in strings)
  * Now it reads config files with function names and parameter types
  * Programs using clone() should work ok now
  * debian/rules: gzipped only big files in /usr/doc/ltrace
  * New Standards-Version: 2.4.0.0
  * beginning to work on sparc port (not yet done)

 -- Juan Cespedes <cespedes@debian.org>  Sun,  8 Mar 1998 22:27:30 +0100

ltrace (0.1.7) experimental; urgency=low

  * Internal release.
  * New Standards-Version (2.3.0.1)
  * Clean up structures a bit
  * Trying to log return values...

 -- Juan Cespedes <cespedes@debian.org>  Sun, 26 Oct 1997 19:53:20 +0100

ltrace (0.1.6) experimental; urgency=low

  * New maintainer address
  * New Standards-Version

 -- Juan Cespedes <cespedes@debian.org>  Thu, 11 Sep 1997 23:22:32 +0200

ltrace (0.1.5) experimental; urgency=low

  * `command' is now searched in the PATH

 -- Juan Cespedes <cespedes@etsit.upm.es>  Wed, 27 Aug 1997 22:27:33 +0200

ltrace (0.1.4) experimental; urgency=low

  * Updated execute_process()
  * No longer uses signals to wait for children. Should be a little faster.
  * Now every function uses output.c:send_*() instead of `FILE * output'

 -- Juan Cespedes <cespedes@etsit.upm.es>  Mon, 25 Aug 1997 16:08:36 +0200

ltrace (0.1.3) experimental; urgency=low

  * Added options `-i', `-S'
  * Added syscall names
  * Added signal names
  * Added `output.c', `signal.c'

 -- Juan Cespedes <cespedes@etsit.upm.es>  Sun, 24 Aug 1997 01:45:49 +0200

ltrace (0.1.2) experimental; urgency=low

  * Updated ``TODO''
  * Added process.c:execute_process
  * Added i386.c:type_of_stop
  * Hopefully, system dependent stuff is now only in i386.[ch] and process.[ch]
  * `-d' can now be used many times: many levels of debug
  * removed breakpoint for children detecting fork()s.
    Now, *every* program should work ok
  * struct process now also has a field for the process filename
  * Added "syscall.c" with a list of system call names in Linux/i386

 -- Juan Cespedes <cespedes@etsit.upm.es>  Sat, 23 Aug 1997 15:00:23 +0200

ltrace (0.1.1) experimental; urgency=low

  * Added ``TODO''
  * Added symbols.c:disable_all_breakpoints
  * Added ``process.[ch]'': init_sighandler, pid2proc
  * Removed ``trace.c''
  * Added rudimentary support for multiple processes
  * Now tracing syscalls (fork() needs a special treatment (TODO))
  * Added process.c:detach_process
  * Added i386.c:trace_me,untrace_pid

 -- Juan Cespedes <cespedes@etsit.upm.es>  Sat, 23 Aug 1997 02:09:14 +0200

ltrace (0.1.0) experimental; urgency=low

  * Some clean-ups
  * Added simple manual page

 -- Juan Cespedes <cespedes@etsit.upm.es>  Thu, 21 Aug 1997 17:01:36 +0200

ltrace (0.0.1997.08.14) experimental; urgency=low

  * Still re-structuring code... new file: symbols.c

 -- Juan Cespedes <cespedes@etsit.upm.es>  Thu, 14 Aug 1997 22:22:43 +0200

ltrace (0.0.1997.08.09) experimental; urgency=low

  * Added Debian files
  * Re-structured most of the code; new files: elf.c, i386.c, trace.c

 -- Juan Cespedes <cespedes@etsit.upm.es>  Sat,  9 Aug 1997 20:55:24 +0200
